import { Component } from '@angular/core';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { IonicModule } from '@ionic/angular';
import { addIcons } from 'ionicons';
import { notificationsOutline, locationOutline } from 'ionicons/icons';
import { Router } from '@angular/router';
addIcons({ 'location-outline': locationOutline, 'notifications-outline': notificationsOutline })
@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [ExploreContainerComponent, IonicModule],
})
export class Tab1Page {
  constructor(private router: Router) { }
  //转到GenerateOption页面
  goGenerateOption() {
    this.router.navigate(['generateOption']);
  }
}

